Loading...
Searching...
No Matches
audio_fifo.h File Reference

Audio FIFO Buffer. More...

`#include "attributes.h"`
`#include "samplefmt.h"`

Go to the source code of this file.

## Typedefs

typedef struct AVAudioFifo | AVAudioFifo
| Context for an Audio FIFO Buffer.

## Functions

void | av_audio_fifo_free (AVAudioFifo *af)
| Free an AVAudioFifo.
AVAudioFifo * | av_audio_fifo_alloc (enum AVSampleFormat sample_fmt, int channels, int nb_samples)
| Allocate an AVAudioFifo.
av_warn_unused_result int | av_audio_fifo_realloc (AVAudioFifo *af, int nb_samples)
| Reallocate an AVAudioFifo.
int | av_audio_fifo_write (AVAudioFifo *af, void *const *data, int nb_samples)
| Write data to an AVAudioFifo.
int | av_audio_fifo_peek (const AVAudioFifo *af, void *const *data, int nb_samples)
| Peek data from an AVAudioFifo.
int | av_audio_fifo_peek_at (const AVAudioFifo *af, void *const *data, int nb_samples, int offset)
| Peek data from an AVAudioFifo.
int | av_audio_fifo_read (AVAudioFifo *af, void *const *data, int nb_samples)
| Read data from an AVAudioFifo.
int | av_audio_fifo_drain (AVAudioFifo *af, int nb_samples)
| Drain data from an AVAudioFifo.
void | av_audio_fifo_reset (AVAudioFifo *af)
| Reset the AVAudioFifo buffer.
int | av_audio_fifo_size (AVAudioFifo *af)
| Get the current number of samples in the AVAudioFifo available for reading.
int | av_audio_fifo_space (AVAudioFifo *af)
| Get the current number of samples in the AVAudioFifo available for writing.

## Detailed Description

Audio FIFO Buffer.

Definition in file audio_fifo.h.